## ----setup, include=FALSE------------------------------------------------
knitr::opts_chunk$set(fig.dpi = 96)
knitr::opts_chunk$set(fig.width=6, fig.height=6) 
rm(list=ls())

## ---- eval=FALSE---------------------------------------------------------
#  install.packages("nom du package", dependencies=TRUE)

## ---- eval=FALSE---------------------------------------------------------
#  install.packages("...ecpaysage2_x.x.tar.gz", repos=NULL)

## ------------------------------------------------------------------------

parcellairef <- paste(system.file(package="ecpaysage2"), '/extdata/', "naizin_parcellaire_2013_L93.shp", sep='')

lineairef <- paste(system.file(package="ecpaysage2"), '/extdata/', "naizin_lineaire_2013_L93.shp", sep='')

library(sf) ; library(maptools)

naizin.parcel <- sf::st_read(parcellairef)

naizin.haie <- sf::st_read(lineairef)

maptools::getinfo.shape(parcellairef)
unique(naizin.parcel$TYPE)
  
plot(naizin.parcel[,4], pal=c("orange","gold","springgreen1","darkolivegreen1", "darkviolet","brown1","snow","forestgreen","darkgrey","cadetblue1"), main="Type d'occupation du sol")


## ------------------------------------------------------------------------
plot(naizin.parcel[,4], col="white") ; plot(naizin.haie, col="red", add=T, type="l", main="")

## ------------------------------------------------------------------------
system.file("extdata", package="ecpaysage2")

## ------------------------------------------------------------------------
system.file("extdata/r.tif", package="ecpaysage2")

## ------------------------------------------------------------------------
library(raster)
r <- raster(system.file("extdata/r.tif", package="ecpaysage2")) 

## ------------------------------------------------------------------------
r

## ------------------------------------------------------------------------
plot(r)

## ------------------------------------------------------------------------
library(maptools)
contours <- readShapeSpatial(system.file("extdata/contours.shp", package="ecpaysage2"))
contours

## ------------------------------------------------------------------------
plot(contours)

## ------------------------------------------------------------------------
plot(r, axes=F, addfun=plot(contours, add=TRUE), box=F) 

## ---- eval=FALSE---------------------------------------------------------
#  library(ecpaysage2)
#  vignette(package="ecpaysage2")

## ---- eval=FALSE---------------------------------------------------------
#  vignette("ecpaysage2_intro")

## ---- eval=F-------------------------------------------------------------
#  install.packages(pkgs="landscapemetrics", dependencies=TRUE)

